<?php
header('Content-Type: application/json');

$ruta = "../";
require_once "../class/c_login.php";

// check if the session is started
if (!isset($_SESSION['user']))
    die(json_encode(['error' => 'No se ha iniciado sesión']));

$user = unserialize($_SESSION['user']);

$ruta = "../";
require_once "../include/bd_pdo.php";
$facultad_id = $user->facultad['facultad_id'];
$carreras = $db->query(
    "SELECT carrera_id, carrera_nombre, clave_carrera
     FROM carrera
    WHERE
        (facultad_id = :facultad_id OR :facultad_id IS NULL)
    ORDER BY carrera_nombre DESC",
    array('facultad_id' => $facultad_id)
);

// $user->print_to_log("Crea carrera", old: $_POST);

die(json_encode($carreras));